/// <reference types="node" />
export type Result = {
    data: Buffer;
    map: Buffer;
};
export type RebaseHandlerCallback = (rebasedPath?: false | null | string) => void;
export type RebaseHandler = (source: string, resolvedPath: string, done: RebaseHandlerCallback) => void;
export type Options = {
    rebase?: RebaseHandler;
};
export type RebaseEventListener = (rebasedPath: string, resolvedPath: string) => void;
export interface Rebaser {
    rebase: (html: Buffer) => Promise<Result>;
    on(event: "rebase", listener: RebaseEventListener): this;
}
export declare const createRebaser: (map: Buffer, options?: Options) => Rebaser;
